2019-10-16 00:00 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001473FSSCPgameplaypublic2007-10-28 17:11
ReporterKeldorKatarn 
Assigned Totaylor 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001473: ship-subsys-guardian-threshold crashes the game
Descriptionwhenever ship-subsys-guardian-threshold is used, the mission crashes the game upon mission load.
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001561resolvedkarajorma ship-subsys-guardian-threshold crashes the game 
+Relationships

-Notes

~0008407

phreak (developer)

Are you sure? It's working fine here. How recent is your build? Are there any other new SEXPs in that mission that may be causing this issue?

~0008409

KeldorKatarn (reporter)

I doesn't seem to crash a totally new mission, but I added a mission file to this issue. If I add the SEXP as an additional operator to the Init Mission event it will crash the otherwise perfectly working mission..

~0008411

Tolwyn (reporter)

try one of taylor's new build, it might or might not have been fixed.

I remember having this problem with the Xt615 build (retail only, worked fine in debug)

~0008412

KeldorKatarn (reporter)

I am usig Taylor's most recent build.. same problem.

~0008585

taylor (administrator)

There were quite a few NULL ptr issues with both this sexp and ship-guardian-threshold as well. Of the two sexps, ship-subsys-guardian-threshold was seriously fubar. If the subsystem wasn't found for some reason it it would have no option but to crash.

That should all be fix in my local tree, so give my next build a try (tomorrow) and see if it is indeed fixed now or not.


(The mail for reminders isn't working ATM, so I'm going to PM KeldorKatarn about this, in case he doesn't check here between now and when the build is posted)

~0008608

taylor (administrator)

Haven't heard anything to the contrary, so I'll assume that this is fixed now.


Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-08-25 14:30 KeldorKatarn New Issue
2007-08-25 19:12 taylor Category OpenGL => ---------
2007-08-26 15:21 phreak Note Added: 0008407
2007-08-26 15:21 phreak Assigned To => phreak
2007-08-26 15:21 phreak Status new => assigned
2007-08-26 15:21 phreak Category --------- => gameplay
2007-08-26 16:32 KeldorKatarn File Added: M25-BG-Hermes.fs2
2007-08-26 16:32 KeldorKatarn Note Added: 0008409
2007-08-26 16:59 Tolwyn Note Added: 0008411
2007-08-26 18:23 KeldorKatarn Note Added: 0008412
2007-10-22 00:45 taylor Note Added: 0008585
2007-10-22 00:45 taylor Assigned To phreak => taylor
2007-10-28 17:11 taylor Status assigned => resolved
2007-10-28 17:11 taylor Fixed in Version => 3.6.10
2007-10-28 17:11 taylor Resolution open => fixed
2007-10-28 17:11 taylor Note Added: 0008608
2008-01-04 16:33 karajorma Relationship added has duplicate 0001561
+Issue History